Hello community,

here is the log from the commit of package pam for openSUSE:Factory checked in 
at 2018-11-05 22:46:56
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/pam (Old)
 and      /work/SRC/openSUSE:Factory/.pam.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "pam"

Mon Nov  5 22:46:56 2018 rev:93 rq:643706 version:1.3.1

Changes:
--------
--- /work/SRC/openSUSE:Factory/pam/pam.changes  2018-09-03 10:32:25.288255207 
+0200
+++ /work/SRC/openSUSE:Factory/.pam.new/pam.changes     2018-11-05 
22:47:03.592688065 +0100
@@ -1,0 +2,22 @@
+Mon Oct 22 07:42:19 UTC 2018 - josef.moell...@suse.com
+
+- Upgrade to 1.3.1
+  * pam_motd: add support for a motd.d directory
+  * pam_umask: Fix documentation to align with order of loading umask
+  * pam_get_user.3: Fix missing word in documentation
+  * pam_tally2 --reset: avoid creating a missing tallylog file
+  * pam_mkhomedir: Allow creating parent of homedir under /
+  * access.conf.5: Add note about spaces around ':'
+  * pam.8: Workaround formatting problem
+  * pam_unix: Check return value of malloc used for setcred data
+  * pam_cracklib: Drop unused prompt macros
+  * pam_tty_audit: Support matching users by uid range
+  * pam_access: support parsing files in /etc/security/access.d/*.conf
+  * pam_localuser: Correct documentation
+  * pam_issue: Fix no prompting in parse escape codes mode
+  * Unification and cleanup of syslog log levels
+  Also: removed nproc limit, referred to systemd instead.
+  Patch5 (pam-fix-config-order-in-manpage.patch) not needed any more.
+  [bsc#1112508, pam-fix-config-order-in-manpage.patch]
+
+-------------------------------------------------------------------

Old:
----
  Linux-PAM-1.3.0-docs.tar.bz2
  Linux-PAM-1.3.0.tar.bz2
  pam-fix-config-order-in-manpage.patch

New:
----
  Linux-PAM-1.3.1-docs.tar.xz
  Linux-PAM-1.3.1.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ pam.spec ++++++
--- /var/tmp/diff_new_pack.qC81AK/_old  2018-11-05 22:47:05.164686077 +0100
+++ /var/tmp/diff_new_pack.qC81AK/_new  2018-11-05 22:47:05.164686077 +0100
@@ -27,6 +27,7 @@
 BuildRequires:  flex
 %if 0%{?suse_version} > 1320
 BuildRequires:  libdb-4_8-devel
+BuildRequires:  xz
 BuildRequires:  pkgconfig(libnsl)
 BuildRequires:  pkgconfig(libtirpc)
 %endif
@@ -37,7 +38,7 @@
 %define libpam_misc_so_version 0.82.1
 %define libpamc_so_version 0.82.1
 #
-Version:        1.3.0
+Version:        1.3.1
 Release:        0
 Summary:        A Security Tool that Provides Authentication for Applications
 License:        GPL-2.0-or-later OR BSD-3-Clause
@@ -49,8 +50,8 @@
 %endif
 
 #DL-URL:       https://fedorahosted.org/releases/l/i/linux-pam/
-Source:         Linux-PAM-%{version}.tar.bz2
-Source1:        Linux-PAM-%{version}-docs.tar.bz2
+Source:         Linux-PAM-%{version}.tar.xz
+Source1:        Linux-PAM-%{version}-docs.tar.xz
 Source2:        securetty
 Source3:        other.pamd
 Source4:        common-auth.pamd
@@ -65,7 +66,6 @@
 Patch2:         pam-limit-nproc.patch
 Patch3:         encryption_method_nis.diff
 Patch4:         pam-hostnames-in-access_conf.patch
-Patch5:         pam-fix-config-order-in-manpage.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  libdb-4_8-devel
 # Remove with next version update:
@@ -118,7 +118,6 @@
 %patch2 -p1
 %patch3 -p0
 %patch4 -p0
-%patch5 -p1
 
 %build
 autoreconf -fiv

++++++ pam-limit-nproc.patch ++++++
--- /var/tmp/diff_new_pack.qC81AK/_old  2018-11-05 22:47:05.288685920 +0100
+++ /var/tmp/diff_new_pack.qC81AK/_new  2018-11-05 22:47:05.292685915 +0100
@@ -1,15 +1,11 @@
-Index: Linux-PAM-1.3.0/modules/pam_limits/limits.conf
+Index: Linux-PAM-1.3.1/modules/pam_limits/limits.conf
 ===================================================================
---- Linux-PAM-1.3.0.orig/modules/pam_limits/limits.conf
-+++ Linux-PAM-1.3.0/modules/pam_limits/limits.conf
-@@ -47,4 +47,10 @@
+--- Linux-PAM-1.3.1.orig/modules/pam_limits/limits.conf
++++ Linux-PAM-1.3.1/modules/pam_limits/limits.conf
+@@ -47,4 +47,6 @@
  #ftp             hard    nproc           0
  #@student        -       maxlogins       4
  
-+# harden against fork-bombs
-+*               hard    nproc           16384
-+*               soft    nproc           4096
-+# root            hard    nproc           3000
-+# root            soft    nproc           1850
++# No limits for nproc, use systemd configuration instead
 +
  # End of file


Reply via email to